epochs=50

for keep_ratio in 0.005 0.02 0.1
do
    for merge_steps in 10 30 100
    do
        python asgd_dawn.py \
            --num_samples $num_samples \
            --keep_ratio $keep_ratio \
            --epochs $epochs \
            --merge_steps $merge_steps \
            --save_file asgd_m${merge_steps}_k${keep_ratio}_e${epochs}.tsv

    done
done


# Densely-updated
for merge_steps in 10 30 100
do
    python asgd_dawn.py \
        --epochs $epochs \
        --merge_steps $merge_steps \
        --mask_method "all_ones" \
        --save_file asgd_m${merge_steps}_k1.0_e${epochs}.tsv

done


